﻿using System;
using System.Collections;
using System.Text;
using System.Threading;

namespace ClairLuneV1b
{
    class Program
    {
        static void joueNote(int note, double tempo)
        {
            BrainPad.Buzzer.StartBuzzing(note);
            BrainPad.Wait.Seconds(tempo);
            BrainPad.Buzzer.StopBuzzing();
        }

        static void Main()
        {
            BrainPad.Display.DrawText(20, 5, "Au clair ");
            BrainPad.Display.DrawText(30, 20, "de la");
            BrainPad.Display.DrawText(20, 35, "lune v1b");
            BrainPad.Display.DrawSmallText(30, 55, "Appuyer sur L");
            BrainPad.Display.RefreshScreen();

            while (!BrainPad.Buttons.IsLeftPressed()) ;

            BrainPad.Wait.Seconds(1);
            BrainPad.Display.Clear();

            for (int i = 0; i < 3; i++)
            {
                switch (i)
                {
                    case 0: BrainPad.Display.DrawSmallText(10, 10, "Au"); break;
                    case 1: BrainPad.Display.DrawSmallText(10, 10, "Au clair"); break;
                    case 2: BrainPad.Display.DrawSmallText(10, 10, "Au clair de"); break;
                    default:
                        break;
                }
                BrainPad.Display.RefreshScreen();
                joueNote(523, 0.5);  // Do
            }
            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.RefreshScreen();

            joueNote(587, 0.5);     // Ré

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu-");
            BrainPad.Display.RefreshScreen();
            joueNote(659, 1);       // Mi

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne");
            BrainPad.Display.RefreshScreen();
            joueNote(587, 1);       // Ré

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon");
            BrainPad.Display.RefreshScreen();
            joueNote(523, 0.5);     // Do

            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
            BrainPad.Display.RefreshScreen();
            joueNote(659, 0.5);     // Mi

            for (int i = 0; i < 2; i++)
            {
                switch (i)
                {
                    case 0:
                        BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
                        BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
                        BrainPad.Display.DrawSmallText(10, 30, "mi");
                        BrainPad.Display.RefreshScreen();
                        break;
                    case 1:
                        BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
                        BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
                        BrainPad.Display.DrawSmallText(10, 30, "mi pie-");
                        BrainPad.Display.RefreshScreen();
                        break;
                }
                joueNote(587, 0.5); // Ré
            }
            BrainPad.Display.DrawSmallText(10, 10, "Au clair de la");
            BrainPad.Display.DrawSmallText(10, 20, "lu- ne mon a-");
            BrainPad.Display.DrawSmallText(10, 30, "mi pie- rrot");
            BrainPad.Display.RefreshScreen();
            joueNote(523, 1.5);     // Do
        }
    }
}
